<?php
require_once (PATH_TABLES . "activity/ProjectPhaseUserTable.php") ;
require_once (PATH_MODELS . "base/MasterBase.php") ;

class ProjectPhaseUserClass extends MasterBase {
	
	function __construct($db) {
		$this->db 		= $db ;
		$this->tbl		= ProjectPhaseUserTable::C_TABLE ;
		$this->fldid 	= ProjectPhaseUserTable::C_ID ;
	}
	
	function __destruct() {
	}

	function getProjectPhaseUser($id){
		$sql = "SELECT ".ProjectPhaseUserTable::C_USER." FROM " . ProjectPhaseUserTable::C_TABLE . " ";
		$sql .=" WHERE ".ProjectPhaseUserTable::C_ID." = ".$id." ORDER BY ".ProjectPhaseUserTable::C_ORDER." ASC ";;
		
		$rows = $this->db->getTable($sql);
		if(is_null($rows) || count($rows) == 0){
			return null;
		} else {			
			return $rows;
		}
	}
	
	
}
?>